## org.omg.IOP
Class CodecFactoryHelper

    java.lang.Object
      |
      +--org.omg.IOP.CodecFactoryHelper

public class CodecFactoryHelper
extends java.lang.Object

Helper class for : CodecFactory

Author:
  OpenORB Compiler

Constructor Summary
`CodecFactoryHelper()`

Method Summary
`static CodecFactory` `extract(Any a)` Extract CodecFactory from an any
`static java.lang.String` `id()` Return the CodecFactory IDL ID
`static void` `insert(Any a, CodecFactory t)` Insert CodecFactory into an any
`static CodecFactory` `narrow(Object obj)` Narrow CORBA::Object to CodecFactory
`static CodecFactory` `read(InputStream istream)` Read CodecFactory from a marshalled stream
`static TypeCode` `type()` Return the CodecFactory TypeCode
`static CodecFactory` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to CodecFactory
`static void` `write(OutputStream ostream, CodecFactory value)` Write CodecFactory into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CodecFactoryHelper

    public CodecFactoryHelper()

Method Detail

### insert

    public static void insert(Any a,
                              CodecFactory t)

  Insert CodecFactory into an any
  Parameters:
    `a` - an any
    `t` - CodecFactory value

### extract

    public static CodecFactory extract(Any a)

  Extract CodecFactory from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted CodecFactory value

### type

    public static TypeCode type()

  Return the CodecFactory TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the CodecFactory IDL ID
  Returns:
    an ID

### read

    public static CodecFactory read(InputStream istream)

  Read CodecFactory from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed CodecFactory value

### write

    public static void write(OutputStream ostream,
                             CodecFactory value)

  Write CodecFactory into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - CodecFactory value

### narrow

    public static CodecFactory narrow(Object obj)

  Narrow CORBA::Object to CodecFactory
  Parameters:
    `obj` - the CORBA Object
  Returns:
    CodecFactory Object

### unchecked_narrow

    public static CodecFactory unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to CodecFactory
  Parameters:
    `obj` - the CORBA Object
  Returns:
    CodecFactory Object